Skip to content

Retrieve all available multi-record workflows which:

  • The authenticated user has permissions to view or initiate
  • Can be initiated through the API
GET/api/{version}/objects/objectworkflows/actions
NameDescription
Acceptapplication/json (default) or application/xml
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v25.2/objects/objectworkflows/actions
{ "responseStatus": "SUCCESS", "data": [ { "name": "Objectworkflow.approval__c", "label": "Review & Approval Workflow", "type": "multirecordworkflow", "cardinality": "OneOrMany" } ] }

On SUCCESS, the response includes the following:

NameDescription
nameThe workflow name.
labelUI label for the workflow.
typeType of workflow.
cardinalityIndicates how many contents (One, OneOrMany) can be included in a workflow.

For users without the Workflow: Start permission, the response returns an INSUFFICIENT_ACCESS error.